Page MenuHomePhabricator

Enable automated notifications from Outreach Dashboard for cs.wikipedia
Closed, ResolvedPublic

Description

Czech Wikipedia community decided to enable automated notifications from Outreach Dashboard (consensus https://cs.wikipedia.org/wiki/Wikipedie:Pod_l%C3%ADpou/Archiv_2017/02#N%C3%A1vrh_%E2%80%93_spu%C5%A1t%C4%9Bn%C3%AD_automatick%C3%BDch_editac%C3%AD_na_u%C5%BEivatelsk%C3%BDch_str%C3%A1nk%C3%A1ch_student%C5%AF_atp), similar to as on https://en.wikipedia.org/wiki/User:Williamcotter (althrough that's for WikiEd and not Outreach Dashboard, but per info from @Ragesoss it is possible to enable it on Outreach Dashboard as well).

Please enable this feature.

On behalf of Czech Wikipedia community,
Martin Urbanec
bureaucrat, cs.wikipedia

Event Timeline

Urbanecm created this task.Jun 21 2018, 3:47 PM
Restricted Application added a project: User-Urbanecm. · View Herald TranscriptJun 21 2018, 3:47 PM
Restricted Application added subscribers: Base, Aklapper. · View Herald Transcript

@Urbanecm: have the templates used by the dashboard already been created? If so, please let me know the template names. I need to create a config file for which templates to use on cs.wikipedia.

Here's the corresponding config for en.wiki:

editor: "participant editor"
instructor: "program instructor"
course_assignment: "program assignment"
table: "participants table"
table_row: "participant table row"
table_end: "end of participants table"
course: "program details"
timeline: "start of program timeline"
start_of_week: "start of program week"
end_of_week: "end of program week"
user_talk: "outreachdashboard.wmflabs.org user talk"

And here are the actual en.wikipedia templates: https://en.wikipedia.org/wiki/Category:Outreachdashboard.wmflabs.org_course_templates

@Ragesoss No, I wasn't aware about the need of templates. I'm a little bit confused from your information, for example, your configuration file for enwiki is talking about template called "Template:Participants table", but no such template exists, see https://en.wikipedia.org/w/index.php?title=Template:Participants_table&action=edit&redlink=1 . Also, some (all?) templates in the category you linked are not used on enwiki.

Additional question: Are parameter names (like in https://en.wikipedia.org/w/index.php?title=Template:Participant_editor&action=edit) localizable? Or must they be some exact values or things will be broken?

If you can, I'd appreciate link to the configuration, but if it is not public, I'll understand.

@Urbanecm: sorry, I should have linked a different set. They aren't enabled from outreachdashboard.wmflabs.org for en.wiki (only from dashboard.wikiedu.org) and I guess there are some missing ones, but here are the en.wiki dashboard.wikiedu.org templates:

editor: "dashboard.wikiedu.org student editor"
instructor: "course instructor"
course_assignment: "dashboard.wikiedu.org assignment"
table: "students table"
table_row: "student table row"
table_end: "end of students table"
course: "course details"
timeline: "start of course timeline"
start_of_week: start of course week
end_of_week: "end of course week"
user_talk: "dashboard.wikiedu.org talk course link"

Also, here are the ones for pt.wikipiedia, which are in use:

https://pt.wikipedia.org/wiki/Categoria:!Predefini%C3%A7%C3%B5es_de_curso_do_outreachdashboard.wmflabs.org

editor: "editor participante"
instructor: "instrutor de programa"
course_assignment: "Tarefa do outreachdashboard.wmflabs.org"
table: "tabela de participantes"
table_row: "linha da tabela do participante"
table_end: "fim da tabela de participantes"
course: "detalhes de programa"
timeline: "início da linha do tempo do programa"
start_of_week: "início do programa da semana"
end_of_week: "fim do programa da semana"
user_talk: "discussão de usuário do outreachdashboard.wmflabs.org"
Ragesoss added a comment.EditedJun 21 2018, 5:12 PM

Here are the per-language configs: https://github.com/WikiEducationFoundation/WikiEduDashboard/tree/master/config/templates

The parameter names are not localizable at this point.

I created templates.

editor: "Nástěnka/Účastník"
instructor: "Nástěnka/Instruktor"
course_assignment: "Nástěnka/Článek"
table: "Nástěnka/Seznam účastníků/Začátek tabulky"
table_row: "Nástěnka/Seznam účastníků/Řádek tabulky"
table_end: "Nástěnka/Seznam účastníků/Konec tabulky"
course: "Nástěnka/Kurz"
timeline: "Nástěnka/Harmonogram/Začátek"
start_of_week: Nástěnka/Harmonogram/Začátek týdne
end_of_week: "Nástěnka/Harmonogram/Konec týdne"
user_talk: "Účastník kurzu Nástěnky"

I'm aware that user_talk and editor are same templates and if technically possible, I'd like to use only one template only for those two situations.

@Urbanecm yes, using the same template for both of those is fine, as they both will use the same parameters ({{course}}} and {{slug}}}). Which one do you want to use?

Also, note that the course pages will be subpages of "Wikipedia:Outreach Dashboard", for example, https://pt.wikipedia.org/wiki/Wikip%C3%A9dia:Outreach_Dashboard/Wikip%C3%A9dia_em_portugu%C3%AAs/A_mulher_que_voc%C3%AA_nunca_conheceu_2018

Ehh, sorry, I was moving some templates because I didn't figure out the right name on the first attempt. Here is correct list. Ok, thank you for the information, I will create the page WP:Outreach Dashboard.

editor: "Nástěnka/Účastník"
instructor: "Nástěnka/Instruktor"
course_assignment: "Nástěnka/Článek"
table: "Nástěnka/Seznam účastníků/Začátek tabulky"
table_row: "Nástěnka/Seznam účastníků/Řádek tabulky"
table_end: "Nástěnka/Seznam účastníků/Konec tabulky"
course: "Nástěnka/Kurz"
timeline: "Nástěnka/Harmonogram/Začátek"
start_of_week: Nástěnka/Harmonogram/Začátek týdne
end_of_week: "Nástěnka/Harmonogram/Konec týdne"
user_talk: "Nástěnka/Účastník"
Ragesoss closed this task as Resolved.Jun 22 2018, 5:44 PM
Ragesoss claimed this task.

I've enabled edits, and @Urbanecm and I tested it out with a few edits.

You'll be able see all the edits made via the Dashboard based on the tag: https://cs.wikipedia.org/w/index.php?hidebots=1&hidecategorization=1&hideWikibase=1&tagfilter=OAuth+CID%3A+1024&limit=50&days=7&title=Speci%C3%A1ln%C3%AD:Posledn%C3%AD_zm%C4%9Bny&urlversion=2

Please let me know any feedback from the cs.wikipedia community on how to improve this, as it's just the second language to enable edits from Outreach Dashboard.

Thank you, Sage!

Per our IRC discussion, I've also added the option to choose a different base page for the course pages instead of "Project:Outreach_Dashboard". It's now set for "Project:Nástěnka" on cs.wikipedia.

Vvjjkkii renamed this task from Enable automated notifications from Outreach Dashboard for cs.wikipedia to miaaaaaaaa.Jul 1 2018, 1:02 AM
Vvjjkkii reopened this task as Open.
Vvjjkkii removed Ragesoss as the assignee of this task.
Vvjjkkii triaged this task as High priority.
Vvjjkkii updated the task description. (Show Details)
Vvjjkkii removed a subscriber: Aklapper.
CommunityTechBot renamed this task from miaaaaaaaa to Enable automated notifications from Outreach Dashboard for cs.wikipedia.Jul 2 2018, 7:29 AM
CommunityTechBot closed this task as Resolved.
CommunityTechBot assigned this task to Ragesoss.
CommunityTechBot raised the priority of this task from High to Needs Triage.
CommunityTechBot updated the task description. (Show Details)
CommunityTechBot added a subscriber: Aklapper.